!- TRIANGULAR μOS 1.43 for Commodore 128
!- SYNTH


!- Start SYNTH
0print"{home*2}{clear}{ct n}":fori=1to8:spritei,.:movspri,.#.:poke2039+i,55+i:movspri,511,255:nexti:q$=chr$(34):bd=peek(3000):s=54272:gosub1:v$="{down*24}":h$="{right*40}":s$="{space*40}":goto2

!- Clear SID registers
1vol.:fori=1to3:soundi,.,.,.,.,.,.,.:nexti:return

!- SYNTH Set variables
2sprite1,.:sprite3,.:color4,1:color.,2:gosub1:tr$="{reverse on}":tc$=chr$(peek(3066)):sn$="":sc$="3":sv$="0":vl=9:volvl:ifasc(tc$)=5thentc$="{black}":tr$="{reverse off}"

!- SYNTH loop
3gosub57:gosub54

4getk$:ifk$=""then4
5ifk$="{f1}"thengosub52:goto4
6ifk$="{134}"thengosub50:goto4

7ifk$="{f8}"thengosub1:goto60

8ifk$="{cm q}"thensn$="c":sc$="2"
9ifk$="{brown}"thensn$="#c":sc$="2"
10ifk$="{cm w}"thensn$="d":sc$="2"
11ifk$="{pink}"thensn$="#d":sc$="2"
12ifk$="{cm e}"thensn$="e":sc$="2"
13ifk$="{cm r}"thensn$="f":sc$="2"
14ifk$="{gray}"thensn$="#f":sc$="2"
15ifk$="{cm t}"thensn$="g":sc$="2"
16ifk$="{light green}"thensn$="#g":sc$="2"
17ifk$="{cm y}"thensn$="a":sc$="2"
18ifk$="{light blue}"thensn$="#a":sc$="2"
19ifk$="{cm u}"thensn$="b":sc$="2"

20ifk$="q"thensn$="c":sc$="3"
21ifk$="2"thensn$="#c":sc$="3"
22ifk$="w"thensn$="d":sc$="3"
23ifk$="3"thensn$="#d":sc$="3"
24ifk$="e"thensn$="e":sc$="3"
25ifk$="r"thensn$="f":sc$="3"
26ifk$="5"thensn$="#f":sc$="3"
27ifk$="t"thensn$="g":sc$="3"
28ifk$="6"thensn$="#g":sc$="3"
29ifk$="y"thensn$="a":sc$="3"
30ifk$="7"thensn$="#a":sc$="3"
31ifk$="u"thensn$="b":sc$="3"

32ifk$="Q"thensn$="c":sc$="4"
33ifk$=q$thensn$="#c":sc$="4"
34ifk$="W"thensn$="d":sc$="4"
35ifk$="#"thensn$="#d":sc$="4"
36ifk$="E"thensn$="e":sc$="4"
37ifk$="R"thensn$="f":sc$="4"
38ifk$="%"thensn$="#f":sc$="4"
39ifk$="T"thensn$="g":sc$="4"
40ifk$="^"thensn$="#g":sc$="4"
41ifk$="Y"thensn$="a":sc$="4"
42ifk$="&"thensn$="#a":sc$="4"
43ifk$="U"thensn$="b":sc$="4"

44ifk$="{135}"thensv$="0"
45ifk$="{136}"thensv$="2"
46ifk$="{137}"thensv$="4"
47ifk$="{138}"thensv$="8"
48ifk$="{139}"thensv$="5"

49so$="v1o"+sc$+"t"+sv$+"x0"+sn$:playso$:goto4


!- Increase Volume
50vl=vl+1:ifvl>15thenvl=15
51volvl:gosub54:return

!- Decrease Volume
52vl=vl-1:ifvl<.thenvl=.
53volvl:gosub54:return

!- Draw Volume
54print"{home}{down*3}"left$(h$,15)"{green}{reverse on}";:ifvl<>.thenfori=.tovl-1:print"{cm m}";:nexti
55print"{reverse off}";:ifvl<>15thenfori=vlto14:print" ";:nexti
56return


!- Draw SYNTH
57printtc$tr$"{clear} SYNTH"left$(s$,29)"{red}{reverse on}F8"tc$tr$"{cm m}{red}{reverse on}X"tc$tr$"{cm g}{reverse off}{black}{cm t*40}{right*10}{blue}{reverse on}F2{reverse off}{black} + {cm @*15}{return}{right*10}Vol:{cm m}{green}"left$(s$,15)"{black}{cm g}"left$(s$,19)"{return}{right*10}{blue}{reverse on}F1{reverse off}{black} - {cm t*15}{return}{black}{cm @*40}{return}"
58print" Keyboard:"left$(s$,19)"Voice:{return}{down}       {sh -} {reverse on}C{right}D{reverse off} {sh -} {reverse on}F{right}G{right}A{reverse off} {sh -}     {blue}{reverse on}F3{reverse off}{black} Piano{return}       {sh -} {reverse on}#{right}#{reverse off} {sh -} {reverse on}#{right}#{right}#{reverse off} {sh -}{return}       {sh -} {reverse on}2{right}3{reverse off} {sh -} {reverse on}5{right}6{right}7{reverse off} {sh -}     {blue}{reverse on}F4{reverse off}{black} Organ{return}       {sh -} {sh -} {sh -} {sh -} {sh -} {sh -} {sh -} {sh -}{return}       {sh -}{red}C{black}{sh -}{red}D{black}{sh -}{red}E{black}{sh -}{red}F{black}{sh -}{red}G{black}{sh -}{red}A{black}{sh -}{red}B{black}{sh -}     {blue}{reverse on}F5{reverse off}{black} Flute"
59print"       {sh -} {sh -} {sh -} {sh -} {sh -} {sh -} {sh -} {sh -}{return}       {sh -}{blue}Q{black}{sh -}{blue}W{black}{sh -}{blue}E{black}{sh -}{blue}R{black}{sh -}{blue}T{black}{sh -}{blue}Y{black}{sh -}{blue}U{black}{sh -}     {blue}{reverse on}F6{reverse off}{black} Trumpet{return}       {cm z}{sh asterisk}{cm e}{sh asterisk}{cm e}{sh asterisk}{cm e}{sh asterisk}{cm e}{sh asterisk}{cm e}{sh asterisk}{cm e}{sh asterisk}{cm x}{return}"tab(27)"{blue}{reverse on}F7{reverse off}{black} Guitar{return}    {reverse on}Shift{reverse off} Higher octave{return}{down}    {reverse on}C={reverse off} Lower octave":return

!- Load program
60fast:print"{home*2}{clear}{142}";:color4,1:color.,1:movspr8,.#.:movspr8,160,170:sprite8,1,1,.,1,.,.
61printleft$(v$,15)tab(17)"{purple}{reverse off}{cm asterisk}{reverse on}    {reverse off}{sh pound}{return}"tab(18)"{cm asterisk}{reverse on}  {reverse off}{sh pound}{return}"tab(19)"{cm asterisk}{sh pound}{return}{down}{white}"tab(12)"{cm @*16}{return}{white}"tab(11)"{cm m}{reverse on}{blue}{cm m*9}{reverse off}       {white}{cm g}{return}{white}"tab(12)"{cm t*16}{return}{white}{down}"tab(9)"      loading...":slow:print"{home}{black}load "q$"gui"q$","peek(3000):poke208,.:fori=.to5:g=peek(3051+i):poke842+i,g:nexti:poke208,6:new
